We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Which PDF Versions does Aspose.PDF support - Aspose.PDF compatible PDF versions

Hello,

May I know which versions of PDF are fully supported by Aspose.Pdf.Kit?

If there are versions that are only partially supported, which features of those versions aren't supported?

Thanks

Hello Xharmagne,<?xml:namespace prefix = o ns = "urn:schemas-microsoft-com:office:office" />

Thanks for considering Aspose.

Aspose.Pdf.Kit supports all version of Pdf including 1.4, 1.5, 1.6 and 1.7. In fact there is no supreme limitation of PDF versions that we support, except the Pdf form created with Adobe Livecycle. In case you face any problem while using any particular Pdf file, please share the resource document, so that we can test the issue at our end.

Okay, thanks!

May I know what the limitations/issues are with PDF forms created in Adobe Livecycle Designer?

Dear ,

Thanks for considering Aspose.Pdf.Kit. As for the Form funtions, there are mainly two classes. The limitations are listed as follows:

Form class
-FieldsNames cannot support Dynamic Forms.
-FlattenField/FlattenAllFields cannot support Barcode Fields.

FormEditor class: The following methods are invalid for XfaForm created by Adobe Livecycle Designer:
-AddField()
-DecorateField()
-MoveField()
-RemoveField()

Sorry for the inconvenience & Best regards.